View Issue Details

IDProjectCategoryView StatusLast Update
0002617FEM[FreeCAD] Bugpublic2016-07-15 15:00
ReportervejmarieAssigned Tovejmarie 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMacbookProOSMacOSOS VersionElCapitan
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002617: MED mesh export is broken
DescriptionWith SMESH 7 we introduce the capability to export Mesh in MED format which is required by Code_ASTER and a couple of other FEM compute kernel. Currently the MED export doesn't work properly and FEM code need adaptation
Steps To ReproduceCreate a FEM Mesh and export it using the MED extension.
TagsNo tags attached.

Activities

vejmarie

2016-07-13 14:24

developer   ~0007187

I have been able to build up a patch for this issue. Will issue a PR during next week-end, and we shall be able to close it.

Related Changesets

FreeCAD: master c64d575f

2016-07-13 22:02:20

vejmarie


Committer: wmayer Details Diff
Enable MED class init Affected Issues
0002617
mod - src/3rdParty/salomesmesh/src/SMESH/MED_Factory.cpp Diff File

FreeCAD: master 6dc1a939

2016-07-14 15:10:36

wmayer

Details Diff
+ fix linking errors with MED V2 wrapper classes Affected Issues
0002617
mod - src/3rdParty/salomesmesh/CMakeLists.txt Diff File

FreeCAD: master f1d59002

2016-07-14 21:35:13

wmayer

Details Diff
+ handle usage of libmedc < 3.0.7 Affected Issues
0002617
mod - src/3rdParty/salomesmesh/src/SMESH/MED_V2_2_Wrapper.cpp Diff File

Issue History

Date Modified Username Field Change
2016-07-11 12:58 vejmarie New Issue
2016-07-11 12:58 vejmarie Status new => assigned
2016-07-11 12:58 vejmarie Assigned To => vejmarie
2016-07-13 14:24 vejmarie Note Added: 0007187
2016-07-15 14:59 wmayer Changeset attached => FreeCAD Master master f1d59002
2016-07-15 15:00 wmayer Changeset attached => FreeCAD Master master 6dc1a939
2016-07-15 15:00 wmayer Changeset attached => FreeCAD Master master c64d575f
2016-07-15 15:00 wmayer Status assigned => closed
2016-07-15 15:00 wmayer Resolution open => fixed
2016-07-15 15:00 wmayer Fixed in Version => 0.17